package net.blumia.pcmdroid.model

import android.net.Uri

data class Song (
    val filePath: String, // with file name
    val modifiedTime: Int = 0,
    val fileSize: Int = 0,
    val additionalInfo: Boolean = false, // if sidecar meta-info json file exist.
    val url: Uri,
) {
    fun displayName(): String {
        return Uri.parse(filePath).lastPathSegment ?: "???"
    }
}

data class Folder (
    val folderPath: String,
) {
    fun displayName(): String {
        return Uri.parse(folderPath).lastPathSegment ?: "???"
    }
}